| AI Engine Intrinsics User Guide (v2026.1)

Loading...
Searching...
No Matches
Functions
Dynamic X and Z buffer conjugation
Intrinsics » Vector Operations » MAC intrinsics » Multiplication » Advanced » Integer » Vector MAC with pre-adding and conjugation » 32 bit x 16 bit » 32 bit Complex x 16 bit Complex

## Overview

32 bit complex by 16 bit complex using Dynamic X and Z buffer conjugation

## Functions
v4cacc48 | mac4_conj_sym (v4cacc48 acc, v16cint32 xbuff, int xstart, unsigned int xoffsets, int ystart, bool xyconj, v8cint16 zbuff, int zstart, unsigned int zoffsets, bool zconj)
| Complex symetric conjugate multiply-accumulate intrinsic function with dynamic x and z buffer conjugation after computing the selected lanes from the input buffer .
v4cacc48 | mac4_conj_sym (v4cacc48 acc, v8cint32 xbuff, int xstart, unsigned int xoffsets, int ystart, bool xyconj, v8cint16 zbuff, int zstart, unsigned int zoffsets, bool zconj)
| Complex symetric conjugate multiply-accumulate intrinsic function with dynamic x and z buffer conjugation after computing the selected lanes from the input buffer using small X input buffer.
v4cacc48 | mac4_conj_sym (v4cacc48 acc, v8cint32 xbuff, int xstart, unsigned int xoffsets, v8cint32 ybuff, int ystart, bool xyconj, v8cint16 zbuff, int zstart, unsigned int zoffsets, bool zconj)
| Complex symetric conjugate multiply-accumulate intrinsic function with dynamic x and z buffer conjugation after computing the selected lanes from the input buffer using small X input buffer.
v4cacc48 | msc4_conj_sym (v4cacc48 acc, v16cint32 xbuff, int xstart, unsigned int xoffsets, int ystart, bool xyconj, v8cint16 zbuff, int zstart, unsigned int zoffsets, bool zconj)
| Complex symetric conjugate multiply-subtract intrinsic function with dynamic x and z buffer conjugation after computing the selected lanes from the input buffer .
v4cacc48 | msc4_conj_sym (v4cacc48 acc, v8cint32 xbuff, int xstart, unsigned int xoffsets, int ystart, bool xyconj, v8cint16 zbuff, int zstart, unsigned int zoffsets, bool zconj)
| Complex symetric conjugate multiply-subtract intrinsic function with dynamic x and z buffer conjugation after computing the selected lanes from the input buffer using small X input buffer.
v4cacc48 | msc4_conj_sym (v4cacc48 acc, v8cint32 xbuff, int xstart, unsigned int xoffsets, v8cint32 ybuff, int ystart, bool xyconj, v8cint16 zbuff, int zstart, unsigned int zoffsets, bool zconj)
| Complex symetric conjugate multiply-subtract intrinsic function with dynamic x and z buffer conjugation after computing the selected lanes from the input buffer using small X input buffer.
v4cacc48 | mul4_conj_sym (v16cint32 xbuff, int xstart, unsigned int xoffsets, int ystart, bool xyconj, v8cint16 zbuff, int zstart, unsigned int zoffsets, bool zconj)
| Complex symetric conjugate multiply intrinsic function with dynamic x and z buffer conjugation after computing the selected lanes from the input buffer .
v4cacc48 | mul4_conj_sym (v8cint32 xbuff, int xstart, unsigned int xoffsets, int ystart, bool xyconj, v8cint16 zbuff, int zstart, unsigned int zoffsets, bool zconj)
| Complex symetric conjugate multiply intrinsic function with dynamic x and z buffer conjugation after computing the selected lanes from the input buffer using small X input buffer.
v4cacc48 | mul4_conj_sym (v8cint32 xbuff, int xstart, unsigned int xoffsets, v8cint32 ybuff, int ystart, bool xyconj, v8cint16 zbuff, int zstart, unsigned int zoffsets, bool zconj)
| Complex symetric conjugate multiply intrinsic function with dynamic x and z buffer conjugation after computing the selected lanes from the input buffer using small X input buffer.
v4cacc48 | negmul4_conj_sym (v16cint32 xbuff, int xstart, unsigned int xoffsets, int ystart, bool xyconj, v8cint16 zbuff, int zstart, unsigned int zoffsets, bool zconj)
| Complex symetric conjugate multiply-negate intrinsic function with dynamic x and z buffer conjugation after computing the selected lanes from the input buffer .
v4cacc48 | negmul4_conj_sym (v8cint32 xbuff, int xstart, unsigned int xoffsets, int ystart, bool xyconj, v8cint16 zbuff, int zstart, unsigned int zoffsets, bool zconj)
| Complex symetric conjugate multiply-negate intrinsic function with dynamic x and z buffer conjugation after computing the selected lanes from the input buffer using small X input buffer.
v4cacc48 | negmul4_conj_sym (v8cint32 xbuff, int xstart, unsigned int xoffsets, v8cint32 ybuff, int ystart, bool xyconj, v8cint16 zbuff, int zstart, unsigned int zoffsets, bool zconj)
| Complex symetric conjugate multiply-negate intrinsic function with dynamic x and z buffer conjugation after computing the selected lanes from the input buffer using small X input buffer.

## Function Documentation

## ◆ mac4_conj_sym() [1/3]

v4cacc48 mac4_conj_sym | ( | v4cacc48 | acc,
|  | v16cint32 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | ystart,
|  | bool | xyconj,
|  | v8cint16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | bool | zconj )

Complex symetric conjugate multiply-accumulate intrinsic function with dynamic x and z buffer conjugation after computing the selected lanes from the input buffer .

acc0 += (z00*x00 + cnj(z00)*y00)
acc1 += (z10*x10 + cnj(z10)*y10)
acc2 += (z20*x20 + cnj(z20)*y20)
acc3 += (z30*x30 + cnj(z30)*y30)

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (4 x cint48 lanes)
  xbuff | Input buffer of 16 elements of type cint32
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  xyconj | Selector for conjugation in X and Y buffers
  zbuff | Input buffer of 8 elements of type cint16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zconj | Selector for conjugation in Z buffer

Note
  - The previous pseudocode is just a simplified representation of how the operation works, when computed internally it will be done using pre-adding
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ mac4_conj_sym() [2/3]

v4cacc48 mac4_conj_sym | ( | v4cacc48 | acc,
|  | v8cint32 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | ystart,
|  | bool | xyconj,
|  | v8cint16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | bool | zconj )

Complex symetric conjugate multiply-accumulate intrinsic function with dynamic x and z buffer conjugation after computing the selected lanes from the input buffer using small X input buffer.

acc0 += (z00*x00 + cnj(z00)*y00)
acc1 += (z10*x10 + cnj(z10)*y10)
acc2 += (z20*x20 + cnj(z20)*y20)
acc3 += (z30*x30 + cnj(z30)*y30)

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (4 x cint48 lanes)
  xbuff | Input buffer of 8 elements of type cint32
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  xyconj | Selector for conjugation in X and Y buffers
  zbuff | Input buffer of 8 elements of type cint16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zconj | Selector for conjugation in Z buffer

Note
  - The previous pseudocode is just a simplified representation of how the operation works, when computed internally it will be done using pre-adding
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ mac4_conj_sym() [3/3]

v4cacc48 mac4_conj_sym | ( | v4cacc48 | acc,
|  | v8cint32 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | v8cint32 | ybuff,
|  | int | ystart,
|  | bool | xyconj,
|  | v8cint16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | bool | zconj )

Complex symetric conjugate multiply-accumulate intrinsic function with dynamic x and z buffer conjugation after computing the selected lanes from the input buffer using small X input buffer.

acc0 += (z00*x00 + cnj(z00)*y00)
acc1 += (z10*x10 + cnj(z10)*y10)
acc2 += (z20*x20 + cnj(z20)*y20)
acc3 += (z30*x30 + cnj(z30)*y30)

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (4 x cint48 lanes)
  xbuff | Input buffer of 8 elements of type cint32
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ybuff | Right input buffer of 8 elements of type cint32
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  xyconj | Selector for conjugation in X and Y buffers
  zbuff | Input buffer of 8 elements of type cint16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zconj | Selector for conjugation in Z buffer

Note
  - The previous pseudocode is just a simplified representation of how the operation works, when computed internally it will be done using pre-adding
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ msc4_conj_sym() [1/3]

v4cacc48 msc4_conj_sym | ( | v4cacc48 | acc,
|  | v16cint32 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | ystart,
|  | bool | xyconj,
|  | v8cint16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | bool | zconj )

Complex symetric conjugate multiply-subtract intrinsic function with dynamic x and z buffer conjugation after computing the selected lanes from the input buffer .

acc0 -= (z00*x00 + cnj(z00)*y00)
acc1 -= (z10*x10 + cnj(z10)*y10)
acc2 -= (z20*x20 + cnj(z20)*y20)
acc3 -= (z30*x30 + cnj(z30)*y30)

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (4 x cint48 lanes)
  xbuff | Input buffer of 16 elements of type cint32
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  xyconj | Selector for conjugation in X and Y buffers
  zbuff | Input buffer of 8 elements of type cint16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zconj | Selector for conjugation in Z buffer

Note
  - The previous pseudocode is just a simplified representation of how the operation works, when computed internally it will be done using pre-adding
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ msc4_conj_sym() [2/3]

v4cacc48 msc4_conj_sym | ( | v4cacc48 | acc,
|  | v8cint32 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | ystart,
|  | bool | xyconj,
|  | v8cint16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | bool | zconj )

Complex symetric conjugate multiply-subtract intrinsic function with dynamic x and z buffer conjugation after computing the selected lanes from the input buffer using small X input buffer.

acc0 -= (z00*x00 + cnj(z00)*y00)
acc1 -= (z10*x10 + cnj(z10)*y10)
acc2 -= (z20*x20 + cnj(z20)*y20)
acc3 -= (z30*x30 + cnj(z30)*y30)

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (4 x cint48 lanes)
  xbuff | Input buffer of 8 elements of type cint32
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  xyconj | Selector for conjugation in X and Y buffers
  zbuff | Input buffer of 8 elements of type cint16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zconj | Selector for conjugation in Z buffer

Note
  - The previous pseudocode is just a simplified representation of how the operation works, when computed internally it will be done using pre-adding
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ msc4_conj_sym() [3/3]

v4cacc48 msc4_conj_sym | ( | v4cacc48 | acc,
|  | v8cint32 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | v8cint32 | ybuff,
|  | int | ystart,
|  | bool | xyconj,
|  | v8cint16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | bool | zconj )

Complex symetric conjugate multiply-subtract intrinsic function with dynamic x and z buffer conjugation after computing the selected lanes from the input buffer using small X input buffer.

acc0 -= (z00*x00 + cnj(z00)*y00)
acc1 -= (z10*x10 + cnj(z10)*y10)
acc2 -= (z20*x20 + cnj(z20)*y20)
acc3 -= (z30*x30 + cnj(z30)*y30)

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  acc | Incoming accumulation vector (4 x cint48 lanes)
  xbuff | Input buffer of 8 elements of type cint32
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ybuff | Right input buffer of 8 elements of type cint32
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  xyconj | Selector for conjugation in X and Y buffers
  zbuff | Input buffer of 8 elements of type cint16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zconj | Selector for conjugation in Z buffer

Note
  - The previous pseudocode is just a simplified representation of how the operation works, when computed internally it will be done using pre-adding
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ mul4_conj_sym() [1/3]

v4cacc48 mul4_conj_sym | ( | v16cint32 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | ystart,
|  | bool | xyconj,
|  | v8cint16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | bool | zconj )

Complex symetric conjugate multiply intrinsic function with dynamic x and z buffer conjugation after computing the selected lanes from the input buffer .

acc0 = (z00*x00 + cnj(z00)*y00)
acc1 = (z10*x10 + cnj(z10)*y10)
acc2 = (z20*x20 + cnj(z20)*y20)
acc3 = (z30*x30 + cnj(z30)*y30)

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  xbuff | Input buffer of 16 elements of type cint32
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  xyconj | Selector for conjugation in X and Y buffers
  zbuff | Input buffer of 8 elements of type cint16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zconj | Selector for conjugation in Z buffer

Note
  - The previous pseudocode is just a simplified representation of how the operation works, when computed internally it will be done using pre-adding
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ mul4_conj_sym() [2/3]

v4cacc48 mul4_conj_sym | ( | v8cint32 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | ystart,
|  | bool | xyconj,
|  | v8cint16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | bool | zconj )

Complex symetric conjugate multiply intrinsic function with dynamic x and z buffer conjugation after computing the selected lanes from the input buffer using small X input buffer.

acc0 = (z00*x00 + cnj(z00)*y00)
acc1 = (z10*x10 + cnj(z10)*y10)
acc2 = (z20*x20 + cnj(z20)*y20)
acc3 = (z30*x30 + cnj(z30)*y30)

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  xbuff | Input buffer of 8 elements of type cint32
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  xyconj | Selector for conjugation in X and Y buffers
  zbuff | Input buffer of 8 elements of type cint16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zconj | Selector for conjugation in Z buffer

Note
  - The previous pseudocode is just a simplified representation of how the operation works, when computed internally it will be done using pre-adding
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ mul4_conj_sym() [3/3]

v4cacc48 mul4_conj_sym | ( | v8cint32 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | v8cint32 | ybuff,
|  | int | ystart,
|  | bool | xyconj,
|  | v8cint16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | bool | zconj )

Complex symetric conjugate multiply intrinsic function with dynamic x and z buffer conjugation after computing the selected lanes from the input buffer using small X input buffer.

acc0 = (z00*x00 + cnj(z00)*y00)
acc1 = (z10*x10 + cnj(z10)*y10)
acc2 = (z20*x20 + cnj(z20)*y20)
acc3 = (z30*x30 + cnj(z30)*y30)

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  xbuff | Input buffer of 8 elements of type cint32
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ybuff | Right input buffer of 8 elements of type cint32
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  xyconj | Selector for conjugation in X and Y buffers
  zbuff | Input buffer of 8 elements of type cint16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zconj | Selector for conjugation in Z buffer

Note
  - The previous pseudocode is just a simplified representation of how the operation works, when computed internally it will be done using pre-adding
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ negmul4_conj_sym() [1/3]

v4cacc48 negmul4_conj_sym | ( | v16cint32 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | ystart,
|  | bool | xyconj,
|  | v8cint16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | bool | zconj )

Complex symetric conjugate multiply-negate intrinsic function with dynamic x and z buffer conjugation after computing the selected lanes from the input buffer .

acc0 = -( (z00*x00 + cnj(z00)*y00) )
acc1 = -( (z10*x10 + cnj(z10)*y10) )
acc2 = -( (z20*x20 + cnj(z20)*y20) )
acc3 = -( (z30*x30 + cnj(z30)*y30) )

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  xbuff | Input buffer of 16 elements of type cint32
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  xyconj | Selector for conjugation in X and Y buffers
  zbuff | Input buffer of 8 elements of type cint16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zconj | Selector for conjugation in Z buffer

Note
  - The previous pseudocode is just a simplified representation of how the operation works, when computed internally it will be done using pre-adding
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ negmul4_conj_sym() [2/3]

v4cacc48 negmul4_conj_sym | ( | v8cint32 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | int | ystart,
|  | bool | xyconj,
|  | v8cint16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | bool | zconj )

Complex symetric conjugate multiply-negate intrinsic function with dynamic x and z buffer conjugation after computing the selected lanes from the input buffer using small X input buffer.

acc0 = -( (z00*x00 + cnj(z00)*y00) )
acc1 = -( (z10*x10 + cnj(z10)*y10) )
acc2 = -( (z20*x20 + cnj(z20)*y20) )
acc3 = -( (z30*x30 + cnj(z30)*y30) )

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  xbuff | Input buffer of 8 elements of type cint32
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  xyconj | Selector for conjugation in X and Y buffers
  zbuff | Input buffer of 8 elements of type cint16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zconj | Selector for conjugation in Z buffer

Note
  - The previous pseudocode is just a simplified representation of how the operation works, when computed internally it will be done using pre-adding
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.

## ◆ negmul4_conj_sym() [3/3]

v4cacc48 negmul4_conj_sym | ( | v8cint32 | xbuff,
|  | int | xstart,
|  | unsigned int | xoffsets,
|  | v8cint32 | ybuff,
|  | int | ystart,
|  | bool | xyconj,
|  | v8cint16 | zbuff,
|  | int | zstart,
|  | unsigned int | zoffsets,
|  | bool | zconj )

Complex symetric conjugate multiply-negate intrinsic function with dynamic x and z buffer conjugation after computing the selected lanes from the input buffer using small X input buffer.

acc0 = -( (z00*x00 + cnj(z00)*y00) )
acc1 = -( (z10*x10 + cnj(z10)*y10) )
acc2 = -( (z20*x20 + cnj(z20)*y20) )
acc3 = -( (z30*x30 + cnj(z30)*y30) )

Returns
  Returned accumulation vector (4 x cint48 lanes)

Parameters

  xbuff | Input buffer of 8 elements of type cint32
  xstart | Starting position offset applied to all lanes of input from X buffer.
  xoffsets | 4b offset for each lane, applied to both x and y buffers. LSB apply to first lane
  ybuff | Right input buffer of 8 elements of type cint32
  ystart | Starting position offset applied to all lanes for input from Y buffer.
  xyconj | Selector for conjugation in X and Y buffers
  zbuff | Input buffer of 8 elements of type cint16
  zstart | Starting position offset applied to all lanes for input from Z buffer. This must be a compile time constant. Only the 4 LSB of the argument are used.
  zoffsets | 4b offset for each lane, applied to input from Z buffer. LSB apply to first lane
  zconj | Selector for conjugation in Z buffer

Note
  - The previous pseudocode is just a simplified representation of how the operation works, when computed internally it will be done using pre-adding
  - For more information on how data selection works from the buffers go here. The data buffer and coefficient buffer in this intrinsic use the general scheme.
  - Parameter 'zstart' must be a compile time constant.